<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    app:cardCornerRadius="@dimen/dp_5"
    app:cardUseCompatPadding="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:background="@color/mainBackground"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center"
            android:text="事件上报"
            android:textColor="@color/themeColor"
            android:textSize="@dimen/sp_16" />

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/borderThickness"
            android:background="#BFBFBF" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/mainBackground"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/titleViewHeight"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="@dimen/dp_20"
                        android:layout_height="@dimen/dp_20"
                        android:layout_marginHorizontal="@dimen/dp_10"
                        android:src="@mipmap/icon_summery" />

                    <TextView
                        style="@style/textViewStyle"
                        android:text="上报人员：" />

                    <TextView
                        android:id="@+id/userNameView"
                        style="@style/inputEditTextStyle"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:textColor="@color/hintColor"
                        android:textSize="@dimen/sp_16" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/titleViewHeight"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="@dimen/dp_20"
                        android:layout_height="@dimen/dp_20"
                        android:layout_marginHorizontal="@dimen/dp_10"
                        android:src="@mipmap/icon_summery" />

                    <TextView
                        style="@style/textViewStyle"
                        android:text="上报时间：" />

                    <TextView
                        android:id="@+id/uploadTimeView"
                        style="@style/inputEditTextStyle"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:singleLine="true"
                        android:textColor="@color/hintColor"
                        android:textSize="@dimen/sp_16" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/titleViewHeight"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="@dimen/dp_20"
                        android:layout_height="@dimen/dp_20"
                        android:layout_marginHorizontal="@dimen/dp_10"
                        android:src="@mipmap/icon_summery" />

                    <TextView
                        style="@style/textViewStyle"
                        android:text="经度：" />

                    <TextView
                        android:id="@+id/lngView"
                        style="@style/inputEditTextStyle"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:textColor="@color/hintColor"
                        android:textSize="@dimen/sp_16" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/titleViewHeight"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="@dimen/dp_20"
                        android:layout_height="@dimen/dp_20"
                        android:layout_marginHorizontal="@dimen/dp_10"
                        android:src="@mipmap/icon_summery" />

                    <TextView
                        style="@style/textViewStyle"
                        android:text="纬度：" />

                    <TextView
                        android:id="@+id/latView"
                        style="@style/inputEditTextStyle"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:textColor="@color/hintColor"
                        android:textSize="@dimen/sp_16" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/titleViewHeight"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="@dimen/dp_20"
                        android:layout_height="@dimen/dp_20"
                        android:layout_marginHorizontal="@dimen/dp_10"
                        android:src="@mipmap/icon_summery" />

                    <TextView
                        style="@style/textViewStyle"
                        android:text="事件描述：" />

                    <com.pengxh.kt.lite.widget.DeleteEditText
                        android:id="@+id/eventDescriptionView"
                        style="@style/inputEditTextStyle"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:textSize="@dimen/sp_16" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/borderThickness"
                    android:background="#BFBFBF" />

                <include
                    android:id="@+id/cameraInclude"
                    layout="@layout/include_install_label_open_camera" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/borderThickness"
                    android:background="#BFBFBF" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/borderThickness"
                android:background="#BFBFBF" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/titleViewHeight"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/cancelButton"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/dialog_button_selector"
                    android:gravity="center"
                    android:text="取消"
                    android:textColor="@color/red"
                    android:textSize="@dimen/lib_sp_16" />

                <View
                    android:layout_width="@dimen/lib_px_1"
                    android:layout_height="match_parent"
                    android:background="@color/lib_line_color" />

                <Button
                    android:id="@+id/uploadEventButton"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/dialog_button_selector"
                    android:gravity="center"
                    android:text="上报"
                    android:textColor="@color/themeColor"
                    android:textSize="@dimen/lib_sp_16" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</androidx.cardview.widget.CardView>

